Product services
Services included in the booking form of a unit
The product service object
Attributes
iduuidUnique identifier
created_atread-onlytimestamp with time zoneCreation timestamp
updated_atread-onlytimestamp with time zoneLast modification timestamp
orderintegerOrder of the service in the booking form of the unit
Related resources
Embed related resources in the response with the select parameter, for example select=*,products(*). Resources related through more than one column need the column as a hint, like table!column(*).
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"service_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:40:34.365Z",
"updated_at": "2026-10-30T23:40:34.365Z",
"order": 0
}curl -X GET "https://api.bookingmood.com/v1/product_services?limit=10&select=*,products(*),services(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List product services
Filters
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
orderFilter<integer>Order of the service in the booking form of the unit
Responses
200A list of product services with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /product_servicescurl -X GET "https://api.bookingmood.com/v1/product_services?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"service_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:40:34.365Z",
"updated_at": "2026-10-30T23:40:34.365Z",
"order": 0
}
]Create product services
Body
Partial<ProductService> | Array<Partial<ProductService>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created product services with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /product_servicescurl -X POST "https://api.bookingmood.com/v1/product_services" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"order": 0,
"product_id": "00000000-0000-0000-0000-000000000000",
"service_id": "00000000-0000-0000-0000-000000000000"
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"service_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:40:34.365Z",
"updated_at": "2026-10-30T23:40:34.365Z",
"order": 0
}
]Delete product services
Filters
Without filters, this request deletes all product services you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
orderFilter<integer>Order of the service in the booking form of the unit
Responses
200The deleted product services with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /product_servicescurl -X DELETE "https://api.bookingmood.com/v1/product_services?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"service_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:40:34.365Z",
"updated_at": "2026-10-30T23:40:34.365Z",
"order": 0
}
]Update product services
Filters
Without filters, this request updates all product services you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
orderFilter<integer>Order of the service in the booking form of the unit
Body
Partial<ProductService>Read-only attributes are set by the database and can't be written.
Responses
200The updated product services with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /product_servicescurl -X PATCH "https://api.bookingmood.com/v1/product_services?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"order": 0
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"service_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:40:34.365Z",
"updated_at": "2026-10-30T23:40:34.365Z",
"order": 0
}
]